1. Orders
OrderMesh
  • Introduction to our API
    • Getting Started
    • Product Catalog
    • Webhooks Overview
    • Merchant Notifications Guide
  • User
    • Client
      • Generate Service Client Access Token
    • User
      • Login User by Username and Password
      • Login User with Refresh Token
  • Order
    • OrderItems
      • Search for order items based on various criteria and filters
    • Orders
      • Create a New Order.
        POST
      • Search for orders based on various criteria and filters.
        GET
      • Create multiple orders
        POST
      • Retrieve multiple orders
        GET
      • Update multiple orders
        PATCH
      • Retrieve a list of orders
        GET
      • Retrieve an order by Order ID.
        GET
      • Update order data.
        PATCH
      • Retrieve an order by Safe ID
        GET
      • Retrieve order item by Order Item ID
        GET
      • Update an item within an order.
        PATCH
      • Cancel Order or order items
        POST
      • Change the order status to Customer Care Hold
        POST
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order.
        GET
      • Retrieve audit logs for a specific order item.
        GET
      • Add a Refund Request.
        POST
  • Note
    • Notes
      • Create a New Note
      • Search All Notes
      • View Note by ID
      • Update Note
      • Delete Note
      • View Note Audit Logs
  • Catalog
    • Categories
      • View all product categories
      • Create a new category
      • Update category
      • Delete category
      • Get audit logs of a category
    • MerchantCatalog
      • Create a merchant catalog
      • Update a merchant catalog
      • Partially update a merchant catalog
      • Get a list of merchant catalogs
      • Delete a merchant catalog
      • Get a merchant catalog and search variants in it
      • Get a merchant catalog with variants
      • Get a list of variants the merchant can use in accordance with their enabled catalog
      • Search for variants in enabled merchant catalog with fallback to global catalog
      • Get audit logs of a merchant catalog
    • Products
      • View all products
      • Retrieve product variant details
      • Create a new product
      • Search products
      • Bulk create products
      • Bulk update products
      • Update product
      • Delete product
      • Update variant
      • Get audit logs of a product
    • Variants
      • Delete variant
      • Create a variant
      • Search product variants
      • Get audit logs of a variant
    • MerchantVariants
      • Add new variants to a merchant catalog
      • Update a merchant catalog variants
      • Update a merchant catalog by removing variants
  • Shipment
    • Packing Slip
      • Generates a packing slip for a specific shipment by Shipment ID.
    • Shipments
      • Get details of a specific shipment by Shipment ID.
      • Update details of a specific shipment by Shipment ID.
      • Create packages for a specific shipment.
      • Delete shipment with packages.
      • Get all shipments for an order by Order ID.
      • Create shipment for order, vendor, and order items.
      • Get shipment with packages for order and vendor.
      • Get shipment details by Order Item ID.
      • Update a specific shipment package.
      • Delete a specific shipment package.
      • Cancel shipment.
      • Unassign items to shipment.
      • Shipment resubmission to assigned facility.
      • Retry outbound polling for a shipment by publishing an OutboundShipmentUpdate event.
      • Search shipments.
      • Reroute shipment.
      • Rejects a shipment.
      • Bulk reroute shipments.
      • Get shipment audit logs.
      • Get package audit logs.
      • Get message audit logs for shipment updates.
      • Assign Shipment.
  1. Orders

Add a Refund Request.

POST
/v1/orders/refund
This endpoint allows you to add a refund request for a specific order in the system.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Body Params
application/json

Examples

Responses

🟢204
No Content
This response does not have a body.
🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ordermesh.io/order/v1/orders/refund' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "orderId": "b234ee56-7890-4f12-a123-fake",
    "refunds": [
        {
            "itemId": "b234ee56-7890-fake",
            "isShippingRefund": true,
            "amount": 4,
            "reason": "Never arrived"
        },
        {
            "itemId": "b234ee56-7890-fake2",
            "isShippingRefund": false,
            "amount": 10,
            "reason": "Poor quality."
        }
    ]
}'
Response Response Example
400 - Success
{
    "errorCode": "ValidationError",
    "requestId": "224b67bd-02e2-4b0c-9eef-2559e51d1866",
    "errors": [
        {
            "errorMessage": "'Title' must not be empty.",
            "propertyName": "Title",
            "attemptedValue": ""
        }
    ]
}
Modified at 2026-09-10 16:13:19
Previous
Retrieve audit logs for a specific order item.
Next
Create a New Note
Built with